Bug 88806 - broken koi8-u locale in tcl-8.3.5-88
Summary: broken koi8-u locale in tcl-8.3.5-88
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcltk   
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-14 13:08 UTC by Victor Cheburkin
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version: 8.3.5-90
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-04 22:01:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Victor Cheburkin 2003-04-14 13:08:28 UTC
Description of problem:

Broken /usr/share/tcl8.3/encoding/koi8-u -- too many 'space' symbol in frist 4 lines

Version-Release number of selected component (if applicable):

tcl-8.3.5-88

How reproducible:

Set locale with KOI8-U charset and run "wish"

Steps to Reproduce:
1. in bash: export LANG=ru_UA.KOI8-U or uk_UA.KOI8-U
2. run wish

Actual results:

many '?' with some unprintable characters
under KOI8-R and UTF-8 all ok

Expected results:

prompt '% ' and window under X

Additional info:

N/A
Fix -- remove ending spaces from /usr/share/tcl8.3/encoding/koi8-u

Comment 1 Jens Petersen 2003-07-04 03:26:09 UTC
Thanks for the report - should get fixed in next package build.

Comment 2 Jens Petersen 2003-07-04 22:01:56 UTC
Should be fixed in 8.3.5-90 and later in rawhide.

Could you please test if this is ok, and re-open if there
is still a problem?

Comment 3 Victor Cheburkin 2003-07-08 13:48:27 UTC
Test passed, no problem with tcl-8.3.5-90.



Note You need to log in before you can comment on or make changes to this bug.